groovy.util

## Class XmlNodePrinter.NamespaceContext

- java.lang.Object
- - groovy.util.XmlNodePrinter.NamespaceContext

Enclosing class:
  XmlNodePrinter

    protected class XmlNodePrinter.NamespaceContext
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`XmlNodePrinter.NamespaceContext()`
`XmlNodePrinter.NamespaceContext(XmlNodePrinter.NamespaceContext context)`

### Method Summary

Methods
`java.lang.String` `getNamespace(java.lang.String prefix)`
`boolean` `isPrefixRegistered(java.lang.String prefix, java.lang.String uri)`
`void` `registerNamespacePrefix(java.lang.String prefix, java.lang.String uri)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlNodePrinter.NamespaceContext

    public XmlNodePrinter.NamespaceContext()

#### XmlNodePrinter.NamespaceContext

    public XmlNodePrinter.NamespaceContext(XmlNodePrinter.NamespaceContext context)

### Method Detail

#### isPrefixRegistered

    public boolean isPrefixRegistered(java.lang.String prefix,
                             java.lang.String uri)

#### registerNamespacePrefix

    public void registerNamespacePrefix(java.lang.String prefix,
                               java.lang.String uri)

#### getNamespace

    public java.lang.String getNamespace(java.lang.String prefix)